%global srcname pylxca
%global with_python3 0

Name:           python-%{srcname}
Version:        2.1.1
Release:        2%{?dist}
Summary:        It is tool/api to connect LXCA from command line

License:        Apache-2.0
URL:            http://www.lenovo.com
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%endif # with_python3

%global pylxca_desc \
PyLXCA is Python based interface for Lenovo xClarity Administration APIs.\
PyLXCA command-line interface (CLI) provides a Python-based\
library of commands to automate provisioning and resource management.The Lenovo\
XClarity Administrator PYLXCA CLI provide an interface to Lenovo XClarity\
Administrator REST APIs to automate functions.

%description
%{pylxca_desc}

%package -n     python2-%{srcname}
Summary:        It is tool/api to connect LXCA from command line

Requires:       python2-mock >= 2.0.0
Requires:       python2-requests >= 2.7.0
Requires:       python2-requests-toolbelt >= 0.8.0

%description -n python2-%{srcname}
%{pylxca_desc}

%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        It is tool/api to connect LXCA from command line

Requires:       python%{python3_pkgversion}-mock >= 2.0.0
Requires:       python%{python3_pkgversion}-requests >= 2.7.0
Requires:       python%{python3_pkgversion}-requests-toolbelt >= 0.8.0

%description -n python%{python3_pkgversion}-%{srcname}
%{pylxca_desc}
%endif # with_python3


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif # with_python3

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%if 0%{?with_python3}
%py3_install
rm -rf %{buildroot}%{_bindir}/*
%endif # with_python3
%py2_install

%files -n python2-%{srcname}
%{_bindir}/lxca_shell
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{srcname}
%{_bindir}/lxca_shell
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Thu Oct 25 2018 Satoe Imaishi <simaishi@redhat.com> - 2.1.1-1
- Initial package.
